Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Enum ContactSelectionScore

    java.lang.Object
      java.lang.Enum<ContactSelectionScore>
          umontreal.iro.lecuyer.contactcenters.router.ContactSelectionScore

All Implemented Interfaces:
  Serializable, Comparable<ContactSelectionScore>

    public enum ContactSelectionScore

extends Enum<ContactSelectionScore>

Parameter indicating how the default contact selection score computed by `AgentsPrefRouter.getScoreForContactSelection(AgentGroup,DequeueEvent)` is computed.

Enum Constant Summary
`LONGESTWAITINGTIME` The score corresponds to the waiting time of the queued contact of type k multiplied by the weight (i, k).
`QUEUESIZE` The score corresponds to the number of contacts in queue multiplied by (i, k).
`WEIGHTONLY` The score for an agent group i for contact type k corresponds to the weight (i, k).

Method Summary
`static ContactSelectionScore` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContactSelectionScore[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEIGHTONLY

    public static final ContactSelectionScore WEIGHTONLY

  The score for an agent group i for contact type k corresponds to the weight (i, k).

### QUEUESIZE

    public static final ContactSelectionScore QUEUESIZE

  The score corresponds to the number of contacts in queue multiplied by (i, k).

### LONGESTWAITINGTIME

    public static final ContactSelectionScore LONGESTWAITINGTIME

  The score corresponds to the waiting time of the queued contact of type k multiplied by the weight (i, k).

Method Detail

### values

    public static ContactSelectionScore[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactSelectionScore c : ContactSelectionScore.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactSelectionScore valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.